| Home | Libraries | People | FAQ | More

##### http::operator<< (4 of 5 overloads)

Serialize an HTTP/1 header to a `std::ostream`.

###### Synopsis

Defined in header `<boost/beast/http/write.hpp>`

    template<
        bool isRequest,
        class Fields>
    std::ostream&
    operator<<(
        std::ostream& os,
        header< isRequest, Fields > const& msg);

###### Description

The function converts the header to its HTTP/1 serialized representation and stores the result in the output stream.

###### Parameters

Name | Description
--- | ---
`os` | The output stream to write to.
`msg` | The message fields to write.

Convenience header `<boost/beast/http.hpp>`